Subject: bug#25022: 25.1.50; Different highlighting for different citation level in message-mode

From: Katsumi Yamaoka <[email-masked]>
Date: Tue, 06 Dec 2016 19:08:14 +0900

;; This might not be Cc'd to the bug list, but that's ok. ;-)

On Tue, 06 Dec 2016 00:52:29 -0800, Hong Xu wrote:
> Thank you pointing it out. However, it seems that
> gnus-message-citation-mode does not work for me when using message-mode
> from mu4e. I'm not sure whether it relies on the whole gnus to work or
> simply I missed something...

With `emacs -Q' I tried:

(setq mail-user-agent 'gnus-user-agent)
(compose-mail)

However, I saw that `gnus-message-citation-mode' does not run.
I realized it is because `compose-mail' runs `gnus-msg-mail' that
calls `message-mail' directly if Gnus is not running then.  It
doesn't differ from the case `mail-user-agent' is the default.
I vaguely think this is the key to improve it.  Anyway, I believe
improving `message-mode' so as to run `gnus-message-citation-mode'
is worthwhile especially for the case where Gnus is not running.

Regards,